package com.qmth.sop.business.activiti;

import com.qmth.sop.common.contant.SystemConstant;
import com.qmth.sop.common.enums.FlowApproveOperationEnum;

/**
 * @Description: 创建并行/串行业务
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/2/8
 */
public interface DefaultInstanceConvertToMultiInstance extends MultiWorkFlow {

    public static final String EXP_PREFIX = "${";
    public static final String EXP_SUFFIX = "}";
    public static final String EXP_EQUAL = "==";
    public static final String ASSIGNEE_USER = "assignee";
    public static final String DEFAULT_ASSIGNEE_LIST = "assigneeList";
    public static final String DEFAULT_ASSIGNEE_LIST_EXP = EXP_PREFIX + DEFAULT_ASSIGNEE_LIST;
    public static final String ASSIGNEE_USER_EXP = EXP_PREFIX + ASSIGNEE_USER;
    public static final String APPROVE_ID_EXP = EXP_PREFIX + "approveId" + EXP_SUFFIX;
    public static final String DEFAULT_USER_TASK = "_default";
    public static final String DEFAULT_USER_TASK_NAME = "提交申请";
    public static final String USER_TASK_APPROVE_NAME = "审核人";
    public static final String NR_OF_COMPLETED_INSTANCES = "nrOfCompletedInstances";
    public static final String NR_OF_INSTANCES = "nrOfInstances";
    public static final String REJECT_EXP = EXP_PREFIX + NR_OF_COMPLETED_INSTANCES + SystemConstant.ORG_SPLIT + NR_OF_INSTANCES + EXP_EQUAL + 1 + " || " + FlowApproveOperationEnum.REJECT.getId();
    public static final String REJECT_EXP_SUFFIX = EXP_EQUAL + 1 + EXP_SUFFIX;
}
